Bug 171393 - [PATCH] net-mgmt/nfsen: fix pkg-plist
Summary: [PATCH] net-mgmt/nfsen: fix pkg-plist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-07 01:00 UTC by Craig Leres
Modified: 2012-09-23 19:30 UTC (History)
0 users

See Also:


Attachments
patch-pkg-plist.txt (3.73 KB, patch)
2012-09-07 01:00 UTC, Craig Leres
no flags Details | Diff
patch-nfsen (4.24 KB, text/plain; charset=us-ascii)
2012-09-20 02:10 UTC, Craig Leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2012-09-07 01:00:05 UTC
	The pkg-plist for this port is broken.

Fix: Please see attached patch.
How-To-Repeat: 	Attempt to "make package" and observe lots of errors.
Comment 1 Edwin Groothuis freebsd_committer 2012-09-07 01:00:38 UTC
Maintainer of net-mgmt/nfsen,

Please note that PR ports/171393 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171393

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-09-07 01:00:43 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Raphael Kubo da Costa freebsd_committer 2012-09-16 15:16:56 UTC
The patch adds `libexec/%%PORTNAME%%/NfSenRC.pm.orig' to the plist. This
looks like the wrong fix, as the .orig file should be removed before the
installation phase instead.
Comment 4 Craig Leres freebsd_committer 2012-09-20 02:10:31 UTC
On 09/16/12 07:16, Raphael Kubo da Costa wrote:
> The patch adds `libexec/%%PORTNAME%%/NfSenRC.pm.orig' to the plist. This
> looks like the wrong fix, as the .orig file should be removed before the
> installation phase instead.

I agree a previous commit should not have installed NfSenRC.pm.orig.
Here's a new patchset that removes the errant file in post-patch.

		Craig
Comment 5 janos.mohacsi 2012-09-21 15:42:53 UTC
I approve the second patch. Thanks for fixing the pkg-plist.

Janos Mohacsi
Comment 6 Raphael Kubo da Costa freebsd_committer 2012-09-23 19:27:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rakuco

I'll take it.
Comment 7 Raphael Kubo da Costa freebsd_committer 2012-09-23 19:28:35 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 8 dfilter freebsd_committer 2012-09-23 19:28:45 UTC
Author: rakuco
Date: Sun Sep 23 18:28:35 2012
New Revision: 304759
URL: http://svn.freebsd.org/changeset/ports/304759

Log:
  Fix the plist and stop installing .orig files.
  
  PR:		ports/171393
  Submitted by:	Craig Leres <leres@ee.lbl.gov>, JWelcher@lbl.gov
  Approved by:	Mohacsi Janos <janos.mohacsi@bsd.hu> (maintainer)

Modified:
  head/net-mgmt/nfsen/Makefile
  head/net-mgmt/nfsen/pkg-plist

Modified: head/net-mgmt/nfsen/Makefile
==============================================================================
--- head/net-mgmt/nfsen/Makefile	Sun Sep 23 18:23:25 2012	(r304758)
+++ head/net-mgmt/nfsen/Makefile	Sun Sep 23 18:28:35 2012	(r304759)
@@ -7,7 +7,7 @@
 
 PORTNAME=	nfsen
 PORTVERSION=	1.3.5
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	net-mgmt
 MASTER_SITES=	SF/${PORTNAME}/stable/${PORTNAME}-${PORTVERSION} \
 		http://nfsen.sourceforge.net/
@@ -44,6 +44,7 @@ do-install:
 	@${MKDIR} ${PREFIX}/libexec/${PORTNAME}
 	${INSTALL_DATA} ${WRKSRC}/installer-items/CopyRecursive.pm ${PREFIX}/libexec/${PORTNAME}/
 	${INSTALL_DATA} ${WRKSRC}/installer-items/RRDconvertv1.pm ${PREFIX}/libexec/${PORTNAME}/
+	${RM} -f ${WRKSRC}/libexec/NfSenRC.pm.orig
 	@ if [ -f ${PREFIX}/etc/nfsen.conf ] ; then \
 	${ECHO_MSG} "installing with existing nfsen.conf"; \
 	cd ${WRKSRC} ;${PERL} ${WRKSRC}/install.pl ${PREFIX}/etc/nfsen.conf; \

Modified: head/net-mgmt/nfsen/pkg-plist
==============================================================================
--- head/net-mgmt/nfsen/pkg-plist	Sun Sep 23 18:23:25 2012	(r304758)
+++ head/net-mgmt/nfsen/pkg-plist	Sun Sep 23 18:28:35 2012	(r304759)
@@ -34,6 +34,7 @@ www/%%PORTNAME%%/icons/arrow.blue.down.p
 www/%%PORTNAME%%/icons/arrow.blue.right.png
 www/%%PORTNAME%%/icons/arrow.yellow.down.png
 www/%%PORTNAME%%/icons/arrow.yellow.right.png
+www/%%PORTNAME%%/icons/cancel.png
 www/%%PORTNAME%%/icons/close.png
 www/%%PORTNAME%%/icons/cursor-line.png
 www/%%PORTNAME%%/icons/cursor-start.png
@@ -65,82 +66,17 @@ www/%%PORTNAME%%/js/profileadmin.js
 www/%%PORTNAME%%/lookup.php
 www/%%PORTNAME%%/navigator.php
 www/%%PORTNAME%%/nfsen.php
-www/%%PORTNAME%%/nfsen.php.orig
 www/%%PORTNAME%%/nfsenutil.php
 www/%%PORTNAME%%/overview.php
 www/%%PORTNAME%%/pic.php
 www/%%PORTNAME%%/process.php
 www/%%PORTNAME%%/profileadmin.php
 www/%%PORTNAME%%/rrdgraph.php
-www/%%PORTNAME%%/doc/AlertArmed.png
-www/%%PORTNAME%%/doc/AlertArmedMultiple.png
-www/%%PORTNAME%%/doc/AlertArmTrigger.png
-www/%%PORTNAME%%/doc/AlertBlocked.png
-www/%%PORTNAME%%/doc/AlertConditions1.png
-www/%%PORTNAME%%/doc/AlertConditions2.png
-www/%%PORTNAME%%/doc/AlertCreateDialoge.png
-www/%%PORTNAME%%/doc/AlertDefinition.png
-www/%%PORTNAME%%/doc/AlertFired.png
-www/%%PORTNAME%%/doc/AlertFiredOnce.png
-www/%%PORTNAME%%/doc/AlertFlow.png
-www/%%PORTNAME%%/doc/AlertInactive.png
-www/%%PORTNAME%%/doc/AlertInfo.png
-www/%%PORTNAME%%/doc/alerting.png
-www/%%PORTNAME%%/doc/AlertList.png
-www/%%PORTNAME%%/doc/AlertTrigger.png
-www/%%PORTNAME%%/doc/Bookmark.png
-www/%%PORTNAME%%/doc/dirstruct.png
-www/%%PORTNAME%%/doc/BSD-license.html
-www/%%PORTNAME%%/doc/BuildingProfile.png
-www/%%PORTNAME%%/doc/ChannelDialog.png
-www/%%PORTNAME%%/doc/cursor_control.png
-www/%%PORTNAME%%/doc/custom-format.png
-www/%%PORTNAME%%/doc/DefaultFilter.png
-www/%%PORTNAME%%/doc/details-graphs.png
-www/%%PORTNAME%%/doc/DisabledSources.png
-www/%%PORTNAME%%/doc/DragHandle.png
-www/%%PORTNAME%%/doc/edit.png
-www/%%PORTNAME%%/doc/ExpandStat.png
-www/%%PORTNAME%%/doc/flows.png
-www/%%PORTNAME%%/doc/index.html
-www/%%PORTNAME%%/doc/linegraph.png
-www/%%PORTNAME%%/doc/Lookup.png
-www/%%PORTNAME%%/doc/Navigating.png
-www/%%PORTNAME%%/doc/Navigating.psd
-www/%%PORTNAME%%/doc/navigation.png
-www/%%PORTNAME%%/doc/NewProfile.png
-www/%%PORTNAME%%/doc/nfsen-dist.conf
-www/%%PORTNAME%%/doc/OutOfData.png
-www/%%PORTNAME%%/doc/overview.png
-www/%%PORTNAME%%/doc/PluginGuide/plugin-alertaction.png
-www/%%PORTNAME%%/doc/PluginGuide/plugin-alertcondition.png
-www/%%PORTNAME%%/doc/PluginGuide/plugin-guide.html
-www/%%PORTNAME%%/doc/PluginGuide/plugins-comm.png
-www/%%PORTNAME%%/doc/PluginGuide/plugins-concept.png
-www/%%PORTNAME%%/doc/PluginGuide/plugins-frontend-flow.png
-www/%%PORTNAME%%/doc/PortTracker.png
-www/%%PORTNAME%%/doc/processing-1.png
-www/%%PORTNAME%%/doc/ProcessingControls.png
-www/%%PORTNAME%%/doc/ProcessingOutput.png
-www/%%PORTNAME%%/doc/ProfileChannels.png
-www/%%PORTNAME%%/doc/ProfileCommit.png
-www/%%PORTNAME%%/doc/ProfileConversion.png
-www/%%PORTNAME%%/doc/ProfileCreated.png
-www/%%PORTNAME%%/doc/ProfileExamples.png
-www/%%PORTNAME%%/doc/selectprofile.png
-www/%%PORTNAME%%/doc/SelectWindow.png
-www/%%PORTNAME%%/doc/stat.png
-www/%%PORTNAME%%/doc/StatSummary.png
-www/%%PORTNAME%%/doc/TimeWindow.png
-www/%%PORTNAME%%/doc/trigger.png
-www/%%PORTNAME%%/doc/WinScale.png
 www/%%PORTNAME%%/conf.php
 www/%%PORTNAME%%/plugins/demoplugin.php
 @dirrm www/%%PORTNAME%%/css
 @dirrm www/%%PORTNAME%%/icons
 @dirrm www/%%PORTNAME%%/js
-@dirrm www/%%PORTNAME%%/doc/PluginGuide
-@dirrm www/%%PORTNAME%%/doc
 @dirrm www/%%PORTNAME%%/plugins
 @dirrm www/%%PORTNAME%%
 @exec mkdir -p %D/var/%%PORTNAME%%/profiles-stat/live/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"